--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Generate a Condition of the given kind. The proper class if found by camel casing the kind (which is given as an underscored symbol).
- !ruby/struct:SM::Flow::VERB 
  body: "  <tt>kind</tt> is the underscored symbol representing the class (e.g. :foo_bar for God::Conditions::FooBar)\n"
full_name: God::Condition::generate
is_singleton: true
name: generate
params: (kind, watch)
visibility: public
